package shallow_collaborative_area

import (
	"cloud.o-forge.io/core/oc-lib/logs"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type shallowSharedWorkspaceMongoAccessor struct {
	utils.AbstractAccessor[*ShallowCollaborativeArea]
}

func NewAccessor(request *tools.APIRequest) *shallowSharedWorkspaceMongoAccessor {
	return &shallowSharedWorkspaceMongoAccessor{
		AbstractAccessor: utils.AbstractAccessor[*ShallowCollaborativeArea]{
			Logger:  logs.CreateLogger(tools.COLLABORATIVE_AREA.String()), // Create a logger with the data type
			Request: request,                                              // Set the caller
			Type:    tools.COLLABORATIVE_AREA,
			New:     func() *ShallowCollaborativeArea { return &ShallowCollaborativeArea{} },
		},
	}
}
